Jump to content
Leggo_bro

Character is stuck in eternal T-Pose

Recommended Posts

10 hours ago, Leggo_bro said:

I’m having trouble fixing a T-Pose bug, I’ve tried updating FNIS but each time I start a new game my character is stuck in T-Pose, how do I fix this?

 

Well, it's not a "bug". You've done something wrong. As others have said, "updating FNIS" won't fix T-Posing. You either installed or removed an FNIS animation mod and didn't run the GenerateFNISforUsers.exe. When you run that, it generates a listing of any errors with your FNIS-based animations you've installed. Do that, then copy and paste the text with any errors that show, on here, so that we can see it.

Link to post

I has happened to me, a change somehow blocks the animations in T-pose and redo the change do nothing,I just uninstall all the animations, run FNIS, load the game, quick save after rebuilding the animations database in SLAL, reinstall the animations again, run FNIS again and usually it solves the problem, if the game crash after removing mods I run falrim tools to remove the missing atached somethings from the removed mods.

Link to post
On 4/10/2021 at 9:59 PM, Scholarly Badger said:

Did you run FNIS after updating? And if so, did the log show any warnings?

I did, and this is what I got

 

FNIS Behavior V7.6   4/13/2021 11:32:56 PM
Skyrim SE 64bit: 1.5.97.0 - C:\Program Files (x86)\Steam\steamapps\common\Skyrim Special Edition\ (Steam)

Skeleton(hkx) female: XPMS2HDT (126 bones)   male: XPMS2HDT (126 bones)
>>Warning: Custom skeleton found. Select SKELETON patch.<<

>>Warning: \character\behaviors\FNIS_DD_Behavior.hkx not Skyrim SE compatible<<
Reading DD V4.0.0 ... 
>>Warning: \character\behaviors\FNIS_DD2_Behavior.hkx not Skyrim SE compatible<<
Reading DD2 V4.0.0 ... 
>>Warning: \character\behaviors\FNIS_DD3_Behavior.hkx not Skyrim SE compatible<<
Reading DD3 V4.1.0 ... 
>>Warning: \character\behaviors\FNIS_DDSL_Behavior.hkx not Skyrim SE compatible<<
Reading DDSL V4.0.0 ... 
Reading Defeat V5 ... 
Reading EstrusChaurus V4.35 ... 
Reading FNISBase V7.6 ... 
Reading FNISCreatureVersion V7.0 ... 
Reading FNISSpells V5.0.1 ... 
Reading HCOSBestiality V1.0 ... 
Reading HCOSVore V1.0 ... 
Reading MoreNastyCritters V1.0 ... 
>>Warning: \character\behaviors\FNIS_sanguinesDebauchery_Behavior.hkx not Skyrim SE compatible<<
Reading sanguinesDebauchery V?.? ... 
Reading SexLab V1.63 ... 
Reading SexLabAP V1.63 ... 
Reading SexLabAroused V2.9 ... 
Reading SexLabCreature V1.63 ... 
Reading SexLabTDFAggressiveProstitution V?.? ... 
Reading XPMSE V7.2 ... 
Reading ZaZAnimationPack V7.00 ... 

All Anim Lists scanned. Generating Behavior Files...
Alternate Animation mods: 5 sets: 44 total groups: 177 added file slots: 1327 alternate files: 1110

Create Creature Behaviors ...
Reading HCOSWildlife V1.0 ...
Reading MoreNastyCritters V1.0 ...
Reading HCOSBestiality V1.0 ...
Reading SexLabCreature V1.63 ...
Reading HCOSVore V1.0 ...

 4506 animations for 20 mods successfully included (character).

 1915 animations for 5 mods and 42 creatures successfully included..
 6 Warning(s).

Link to post

Okay so, when FNIS says "...*.hkx not Skyrim SE compatible" it's because it's not compatible. To fix your issue all you need to do is:

  1. take note of the mods in these, conveniently named, warning lines
  2. completely remove these mods
  3. search for a SE compatible version of said mods (there are a couple of useful threads listing SE mods, see blue links in my signature, if not just google something like "<mod name> skyrim se loverslab" and if it exist it should be in the first results)
  4.  install the SE versions of your mods, verify the install was done properly, check requirements, etc.
  5. run FNIS again with your usual settings
  6. once it finishes read the log and if you did everything right this time you should have 0 warnings

If you still have warnings after that you'll need to repeat the process for any mentioned mods in the warnings. Or if you receive a different warning you can google the exact warning line, there are like 6 quintillion posts about every FNIS warning and how to fix them.

Link to post

^ what this guy said. Looks like Devious Devices (I think?) and Sanguine's Debauchery are the Oldrim versions. Also, you'll need to activate the "skeleton patch". For this, just tick the checkbox on the bottom half of FNIS.

Link to post

Just to add to what everybody else has said: Remove each of the incorrect version mods you have warnings on. After you remove each one, run GenerateFNISforUsers.exe after every removal.

And don't install multiple FNIS mods all at once. Install one, run the .exe. Install the next, and run the .exe. If you encounter more errors with any of them, deal with that, or remove it before trying to continue to install more.

Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...